Subject: Re: [bug#53434] Patches to unbreak many i686 packages

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Sat, 22 Jan 2022 20:19:45 +0100

On Sat, 22 Jan 2022 17:49:37 +0100
Denis 'GNUtoo' Carikli <[email-masked]> wrote:

> On Sat, 22 Jan 2022 13:38:18 +0100
> Maxime Devos <[email-masked]> wrote:
> 
> > Denis 'GNUtoo' Carikli schreef op za 22-01-2022 om 03:54 [+0100]:
> > > Hi,
> > > 
> > > This is a patch serie to unbreak many i686 packages.
> > > [...]
> > 
> > I noticed that for quite a few packages, tests are disabled.
> > That might allow builds to ‘succeed’, but presumably these test
> > failures indicate real problems (otherwise, why have a test suite?),
> > so this only ignores potential brokenness without addressing it.
> > 
> > Before ignoring tests, it would be necessary to investigate the
> > cause of the test failures.
> As I see it, we have a bit of chicken and egg issue here: If the
> test fails, we have no substitutes, and because of that, fixing
> packages where test fails become extremely time consuming, and so way
> less likely to happen. 
Would it make sense if in parallel, if they don't exist yet, I open
new bugs for each package that fails test or fail to compile on i686?

This way we would at least have the log of the failing tests or
builds and we could also manage to coordinate work on fixing these
better.

Denis.